ImageTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.ImageTag,ImageTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class ImageTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.SubmitTag
                              |
                              +--org.apache.struts.taglib.html.ImageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  NestedImageTag

public class ImageTag
extends SubmitTag

Tag for input fields of type "image".

Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Oleg V Alexeev
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `align` The alignment for this image.
`protected java.lang.String` | `border` The border size around the image.
`protected java.lang.String` | `page` The module-relative URI of the image.
`protected java.lang.String` | `pageKey` The message resources key of the module-relative URI of the image.
`protected java.lang.String` | `property` The name attribute for the image button.
`protected java.lang.String` | `src` The URL of this image.
`protected java.lang.String` | `srcKey` The message resources key for the URL of this image.

Fields inherited from class org.apache.struts.taglib.html.SubmitTag
`messages, text, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getAlign()` Deprecated. Align attribute is deprecated in HTML 4.x.
`java.lang.String` | `getBorder()`
`java.lang.String` | `getPage()`
`java.lang.String` | `getPageKey()`
`java.lang.String` | `getProperty()` Return the property.
`java.lang.String` | `getSrc()`
`java.lang.String` | `getSrcKey()`
`void` | `release()` Release any acquired resources.
`void` | `setAlign(java.lang.String align)` Deprecated. Align attribute is deprecated in HTML 4.x.
`void` | `setBorder(java.lang.String border)`
`void` | `setPage(java.lang.String page)`
`void` | `setPageKey(java.lang.String pageKey)`
`void` | `setProperty(java.lang.String property)` Set the property name.
`void` | `setSrc(java.lang.String src)`
`void` | `setSrcKey(java.lang.String srcKey)`
`protected java.lang.String` | `src()` Return the base source URL that will be rendered in the `src` property for this generated element, or `null` if there is no such URL.

Methods inherited from class org.apache.struts.taglib.html.SubmitTag
`doAfterBody, getValue, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### align

    protected java.lang.String align

  The alignment for this image.

### border

    protected java.lang.String border

  The border size around the image.

### page

    protected java.lang.String page

  The module-relative URI of the image.

### pageKey

    protected java.lang.String pageKey

  The message resources key of the module-relative URI of the image.

### property

    protected java.lang.String property

  The name attribute for the image button.

### src

    protected java.lang.String src

  The URL of this image.

### srcKey

    protected java.lang.String srcKey

  The message resources key for the URL of this image.

Constructor Detail

### ImageTag

    public ImageTag()

Method Detail

### getAlign

    public java.lang.String getAlign()

  Deprecated. Align attribute is deprecated in HTML 4.x.

### setAlign

    public void setAlign(java.lang.String align)

  Deprecated. Align attribute is deprecated in HTML 4.x.

### getBorder

    public java.lang.String getBorder()

### setBorder

    public void setBorder(java.lang.String border)

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### getPageKey

    public java.lang.String getPageKey()

### setPageKey

    public void setPageKey(java.lang.String pageKey)

### getProperty

    public java.lang.String getProperty()

  Description copied from class: `SubmitTag`
  Return the property.

  Overrides:
    `getProperty` in class `SubmitTag`

### setProperty

    public void setProperty(java.lang.String property)

  Description copied from class: `SubmitTag`
  Set the property name.

  Overrides:
    `setProperty` in class `SubmitTag`
  Parameters:
    `property` - The property name

### getSrc

    public java.lang.String getSrc()

### setSrc

    public void setSrc(java.lang.String src)

### getSrcKey

    public java.lang.String getSrcKey()

### setSrcKey

    public void setSrcKey(java.lang.String srcKey)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `SubmitTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. [Indexed property since Struts 1.1]

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `SubmitTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `SubmitTag`

### src

    protected java.lang.String src()
                            throws javax.servlet.jsp.JspException

  Return the base source URL that will be rendered in the `src` property for this generated element, or `null` if there is no such URL.

  Throws:
    `javax.servlet.jsp.JspException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation